Create a snooze
curl --request POST \
--url https://api.empirical.run/api/snoozes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_ids": [
"<string>"
],
"snooze_until": "<string>",
"description": "<string>",
"created_by": "<string>",
"scoped_to_environment_id": 123,
"created_from_test_run_id": "<string>"
}
'import requests
url = "https://api.empirical.run/api/snoozes"
payload = {
"test_ids": ["<string>"],
"snooze_until": "<string>",
"description": "<string>",
"created_by": "<string>",
"scoped_to_environment_id": 123,
"created_from_test_run_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
test_ids: ['<string>'],
snooze_until: '<string>',
description: '<string>',
created_by: '<string>',
scoped_to_environment_id: 123,
created_from_test_run_id: '<string>'
})
};
fetch('https://api.empirical.run/api/snoozes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"snooze": {
"id": 123,
"test_ids": [
"<string>"
],
"snooze_until": "<string>",
"description": "<string>",
"created_from_test_run_id": 123,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"scoped_to_environment_id": 123
}
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}Snoozes
Create a snooze
Creates a snooze to temporarily suppress failures for the given Playwright tests until snooze_until.
POST
/
api
/
snoozes
Create a snooze
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of Playwright test IDs (41-character hashes) to snooze.
Minimum array length:
1ISO 8601 timestamp for when the snooze should expire.
Optional description explaining why the tests are being snoozed.
Optional user identifier for the snooze creator. Set automatically for dashboard users.
Environment ID to scope the snooze to. If omitted, applies to all environments.
ID of the test run this snooze was created from, if applicable.
Response
The created snooze.
Response payload.
Show child attributes
Show child attributes
Was this page helpful?
⌘I